
using OpenCvSharp;

namespace Hawkeye.VisionBuilder.Workflow.Datatypes.Elements.Line;

public class LineElement:IGraphicsElement
{
    public bool Editable { get; set; }
    public bool IsGood { get; set; }

    public Vector2 Start { get; set; }
    public Vector2 End { get; set; }

    public void Draw(ICanvas canvas)
    {
        canvas.DrawLine(Start, End,LineType.Construction);
    }

    public void FillMat(Mat mat)
    {
        throw new NotImplementedException();
    }

    public INode? GetNode(Vector2 position, float thDistance)
    {
        return null;
    }

    public void SetPivot(Vector2 pivot)
    {
        
    }

    public void MovePivot(Vector2 pivot)
    {
        
    }
}